> ## Documentation Index
> Fetch the complete documentation index at: https://memos-api.openmem.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Share a cube with another user

> Share a cube with another user.



## OpenAPI

````yaml POST /mem_cubes/{cube_id}/share
openapi: 3.1.0
info:
  title: MemOS REST APIs
  description: A REST API for managing and searching memories using MemOS.
  version: 1.0.0
servers: []
security: []
paths:
  /mem_cubes/{cube_id}/share:
    post:
      summary: Share a cube with another user
      description: Share a cube with another user.
      operationId: share_cube_mem_cubes__cube_id__share_post
      parameters:
        - name: cube_id
          in: path
          required: true
          schema:
            type: string
            title: Cube Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CubeShare'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SimpleResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CubeShare:
      properties:
        user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: User Id
          description: User ID for the request
          example: user123
        target_user_id:
          type: string
          title: Target User Id
          description: Target user ID to share with
          example: user456
      type: object
      required:
        - target_user_id
      title: CubeShare
    SimpleResponse:
      properties:
        code:
          type: integer
          title: Code
          description: Response status code
          default: 200
          example: 200
        message:
          type: string
          title: Message
          description: Response message
          example: Operation successful
        data:
          type: 'null'
          title: Data
          description: Response data
      type: object
      required:
        - message
      title: SimpleResponse
      description: Simple response model for operations without data return.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````